Samba Problems on Ubuntu 6.06 LTS

I had some problems with samba upgrade with one of the latest upgrades from ubuntu archive. During the upgrade the upgrade process failed when trying to upgrade samba with this error:

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
Abhängigkeit werden korrigiert... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
samba
Empfohlene Pakete:
smbldap-tools
Die folgenden Pakete werden aktualisiert:
samba
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0B von 2845kB Archiven geholt werden.
Nach dem Auspacken werden 0B Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]? J
Vorkonfiguration der Pakete ...
(Lese Datenbank ... 147280 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereiten zum Ersetzen von samba 3.0.22-1ubuntu3 (durch .../samba_3.0.22-1ubuntu3.1_i386.deb) ...
invoke-rc.d: dangling symlink: /etc/rc2.d/K09samba
dpkg: Warnung - altes pre-removal-Skript wurde beendet mit Fehler-Status 102
dpkg - probiere stattdessen Skript aus dem neuen Paket ...
invoke-rc.d: dangling symlink: /etc/rc2.d/K09samba
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/samba_3.0.22-1ubuntu3.1_i386.deb (--unpack):
Unterprozess neues pre-removal Skript gab den Fehlerwert 102 zurück
Fehler traten auf beim Bearbeiten von:
/var/cache/apt/archives/samba_3.0.22-1ubuntu3.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

The reason for the error are two dangling symlinks in /etc/rc2.d and /etc/rc3.d directories, called K09samba or/and S91samba. Just remove these symlinks using rm -f and do a apt-get install -f again, everything fine again. For details see this.

Advertisements

7 Antworten auf “Samba Problems on Ubuntu 6.06 LTS”

  1. hatte das gleiche problem. bei mir hat’s auch funktioniert…danke

    ich hab‘ da noch ’ne frage:
    wizo hast du deutsches ubuntu, schreibst aber auf englisch?

  2. Hi philip, da ich nun einmal deutsch als muttersprache habe ist mein ubuntu deutsch, der informationsaustausch im blog ist aber besser (internationaler) wenn das englisch ist. lgr Jörg.

  3. Thx
    Danke gute Hilfe. Dachte müsste mich jetzt stundenlang in aptitude einarbeiten.
    Ach ja mein System: debian etch
    Lieber Gruss

Kommentar verfassen

Trage deine Daten unten ein oder klicke ein Icon um dich einzuloggen:

WordPress.com-Logo

Du kommentierst mit Deinem WordPress.com-Konto. Abmelden / Ändern )

Twitter-Bild

Du kommentierst mit Deinem Twitter-Konto. Abmelden / Ändern )

Facebook-Foto

Du kommentierst mit Deinem Facebook-Konto. Abmelden / Ändern )

Google+ Foto

Du kommentierst mit Deinem Google+-Konto. Abmelden / Ändern )

Verbinde mit %s